﻿<!-- templates/modify_prod.html -->
{% extends 'base.html' %}

{% block title %} 修改商品信息 {% endblock %}

{% block head %}
{{ super() }}
<script type="text/javascript">
    function fileChange(target) {
        var filemaxsize = 1024 * 1;//2M   

        var fileSize = target.files[0].size;

        var size = fileSize / 1024;
        if (size > filemaxsize) {
            alert("图片大小不能大于" + filemaxsize / 1024 + "M！");
            target.value = "";
            return false;
        }
    }   
</script>
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap">
    <div class="page-content">
        <main class="main-content">
            <div class="container" style="padding-top:30px;padding-bottom:30px">
                {% if username %}
                <form class="form" method="post" action='{{url_for('store.modify_prod',prod_id=prod.id)}}'
                    enctype='multipart/form-data' style="position: relative; margin-left:30%;">
                    <div class="form-row">
                        <div class="form-group">
                            <label>商品名称：<input type="text" name="name" required="required" value="{{prod.name}}"
                                    maxlength="30" />
                            </label>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group">
                            <label>商品标签：<input type="text" name="label" value="{{prod.label}}" maxlength="50" />
                            </label>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group">
                            <label>商品描述：<textarea style="width: auto;height: 100px;" type="text" name="desc"
                                    maxlength="400">{{prod.desc}}</textarea>
                            </label>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group">
                            <label>
                                商品价格：<input type="text" name="price" value="{{prod.price}}" maxlength="30" />
                            </label>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group">
                            <label>上传图片：<input type="file" name="img" value="{{prod.img}}"
                                    onchange="fileChange(this);" /></label>
                        </div>
                    </div>

                    <!-- <label>联系方式：<input type="text" name="contact" value=""></label></br> -->

                    <input type="submit" value="确认修改" class="btn btn-primary mr-1 mb-3">
                    <a href="{{ url_for('Check_store.my_prod') }}" class="btn btn-primary mr-1 mb-3">返回我的商品</a>

                </form>
                {% else %}
                <h2 class="h2 section-title__heading">请先登录！</h2>
                {% endif %}
            </div>
        </main>
    </div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}